== Changelog ==

= 1.15.4 =
* Release date: 2026-04-03
* Reworked value range sliders (search form).
* Fixed a dynamic CSS variables refresh issue.
* Updated dependencies.

= 1.15.1 =
* Release date: 2026-03-31
* Fixed a cache issue that could affect the complete generation of PDF exposés (Kickstart Print Add-on).
* Updated dependencies.

= 1.15.0 =
* Release date: 2026-03-27
* Added an option for setting the maximum cache size.
* Added Cloudflare Turnstile support for add-on forms.
* Optimized cache expiration timings and automated cleanups.
* Optimized embedding of dynamic CSS properties.
* Reworked the default skin.
* Fixed an OpenImmo-XML source issue when saving via property backend form.
* Updated dependencies.

= 1.14.7 =
* Release date: 2026-02-28
* Optimized cache expiration timings.

= 1.14.6 =
* Release date: 2026-02-26
* Extended caching.
* Added cache cleanup on property updates.
* Updated dependencies.

= 1.14.3 =
* Release date: 2026-02-24
* Fixed backlink and OpenImmo2WP compatibility issues.

= 1.14.0 =
* Release date: 2026-02-23
* Added extended caching options for improved rendering times and object caching capabilities.
* Added a lazy loading option for the main gallery slider images.
* Improved map marker data caching.
* Extended Elementor Add-on support.
* Updated dependencies.

= 1.13.4 =
* Release date: 2026-02-16
* Extended Elementor Add-on support.
* Added no-cache headers to REST API endpoints.
* Improved security regarding XSS.
* Updated dependencies.

= 1.13.0 =
* Release date: 2026-02-11
* Reworked dynamic CSS and search components to achieve compatibility with plain permalink structures.
* Improved automatic determination of search form result pages.
* Added a shortcode attribute value for explicitely specifying the current page as destination for search results.
* Fixed a minor search form bug (extended search not hideable once opened).
* Updated dependencies (i.a. for less unused CSS/JS code in the WP backend).

= 1.12.31 =
* Release date: 2026-02-10
* Fixed a minor search form bug (extended search not hideable once opened).
* Updated dependencies (i.a. for less unused CSS/JS code in the WP backend).

= 1.12.29 =
* Release date: 2026-02-08
* Enabled page-based templates for preview pages.
* Added dynamic adjustments of parking space contents (property detail data).
* Fixed a search form issue.
* Reworked Autoptimize exclusion of plugin-related JS/CSS files.
* Added OpenImmo XML source code to property backend form.

= 1.12.24 =
* Release date: 2026-01-22
* Fixed a map issue (OSM German Style).
* Updated dependencies.

= 1.12.22 =
* Release date: 2026-01-07
* Improved filtering of duplicate property detail data.
* Fixed a minor value conversion issue.
* Updated translations.

= 1.12.19 =
* Release date: 2026-01-06
* Improved processing of complex shortcode attribute structures.
* Fixed hidden lazy-loaded gallery main images.
* Fixed a minor label display issue in list views.
* Fixed a flex details query bug (Elementor Add-on).
* Updated dependencies.

= 1.12.14 =
* Release date: 2025-11-21
* Optimized schema markup rendering performance.
* Updated dependencies.

= 1.12.12 =
* Release date: 2025-10-28
* Fixed edgecase bugs related to schema data generation.
* Fixed a backlink issue (location distance search).
* Updated Google Maps JS API loader.

= 1.12.8 =
* Release date: 2025-10-16
* Improved schema markup inline embedding compatibility.
* Added gallery options (max. image height/min. Ken Burns Effect image width).
* Fixed gallery image scaling issues.
* Updated JS components.
* Restored PHP 7.4 compatibility.

= 1.12.0 =
* Release date: 2025-09-24
* Added optional generation/embedding of structured real estate data (Schema.org markup).
* Fixed a dynamic pagination element update bug.
* Fixed a minor CSS issue with virtual tour iFrame heights.
* Updated dependencies

= 1.11.17 =
* Release date: 2025-09-01
* Added an option for enabling/disabling color gradients.
* Added two filter hooks for modifying dynamic CSS properties.
* Enabled HTML contents for the "no results" option input field (Search tab).
* Updated dependencies.

= 1.11.13 =
* Release date: 2025-08-25
* Reworked gallery template (default theme).
* Fixed canonical and shortlink URLs when a regular page is used as detail view template.
* Improved meta data generation (SEO/social media sharing).
* Improved WCAG conformity.
* Reworked default skin SCSS code.
* Updated logos.
* Updated dependencies.
* Revalidated compatibility with WordPress 6.9 and the latest version of the Elementor Add-on.
* Various detail optimizations.

= 1.11.6 =
* Release date: 2025-05-19
* Fixed a property query compatibility issue.
* Updated dependencies.

= 1.11.4 =
* Release date: 2025-05-10
* Fixed a search form issue.

= 1.11.3 =
* Release date: 2025-05-09
* Added shortcode [inx-property-featured-image].
* Extended support for the regular WP [gallery] shortcode.
* Reworked determination of number of matches for search results.
* Reworked coordinate validation.
* Optimized gallery CSS rules.
* Fixed a provision title display problem.
* Fixed a minor search form value encoding issue.

= 1.10.0 =
* Release date: 2025-03-26
* Fixed a platform compatibility issue (new minimum PHP version: 7.4).
* Added demo data (Elementor add-on).
* Added some minor default template and CSS tweaks.

= 1.9.60 =
* Release date: 2025-03-21
* Added backend plugin options for adjusting skin colors.
* Added variable compare options based on selected form values.
* Added user consent contents for the Giraffe360 virtual tour service.
* Fixed a security issue (possible injection of external backlink URLs).
* Reworked property list item and standard detail head templates (default skin).
* Reworked the main gallery of the property detail pages and added related plugin options for customization in a separate tab.
* Reworked the overview map JS component.
* Improved Elementor Pro template selection for property list (archive) and detail views.
* Verified compatibility with WordPress 6.8.

= 1.9.46 =
* Release date: 2024-11-21
* Fixed minor gallery and map bugs.
* Updated dependencies.

= 1.9.43 =
* Release date: 2024-11-20
* Reworked video embedding in property detail pages.
* Added demo data and prepared the default skin for the upcoming Elementor add-on release.
* Fixed a minor feature selection bug in the property search form.
* Updated gallery CSS to fix a display issue with the latest Chrome version.
* Updated dependencies (improved WP 6.7 compatibility).

= 1.9.38 =
* Release date: 2024-09-24
* Fixed a detail search bug.
* Updated translation handling.

= 1.9.36 =
* Release date: 2024-09-23
* Improved URL to link conversion in description texts.
* Fixed an archive query issues.
* Updated image assets and dependencies.

= 1.9.33 =
* Release date: 2024-09-16
* Added a gallery compatibility patch.

= 1.9.32 =
* Release date: 2024-09-09
* Fixed minor data selection and Twig templating issues.
* Extended the Elementor add-on interface.
* Verified WordPress 6.7 compatibility.
* Updated dependencies.

= 1.9.30 =
* Release date: 2024-09-04
* Added an option for disabling detail views and related links of sold/rented and reference properties.
* Added filters for the Elementor add-on.
* Added ability to combine the contents of multiple image source custom fields in a single gallery element.
* Added a placeholder image for gallery PDF files without preview image.
* Reworked map mousewheel zoom handling.
* Reworked property query options.
* Fixed template option transfer issue related to the standalone location element.
* Fixed a backlink issue with activated auto-updates of list views.
* Improved compatibility with older Samsung Smart TV web browsers.
* Improved security.
* Updated dependencies.

= 1.9.18 =
* Release date: 2024-06-12
* Added Open Graph and X/Twitter Card meta tag support.
* Added basic support for post passwords to the regular single property template.
* Disabled a jerky gallery animation (single Ken Burns effect direction).
* Fixed two map template issues.
* Fixed a compatibility issue in Windows-based hosting environments.
* Updated dependencies.

= 1.9.13 =
* Release date: 2024-05-17
* Added new map types/variations (overview and detail page maps).
* Added search element (inx-)title-desc for querying regular property title and description fields (special cases).
* Added ability to exclude properties from lists based on taxonomy terms.
* Added support for PDF files in floor plan and energy pass galleries.
* Added a default value to a callback method for the the_title filter to prevent issues regarding incorrect calls by other plugins.
* Extended fulltext search possibilities.
* Improved gallery navigation arrow display (especially on small screens and touch devices).
* Improved search form range slider value display.
* Reworked application of inx_search_form_primary_price_min_max_values filters.
* Fixed a warning related to manually entered test data.
* Fixed several minor gallery display issues.
* Fixed a minor search form reset bug.
* Updated dependencies.

= 1.9.0 =
* Release date: 2024-01-22
* Added user consent options for embedded video and virtual tour players.
* Added 3 user consent content related filter hooks.
* Reworked plugin options structure.
* Added option for enabling/disabling gallery image links (full size/lightbox).
* Reworked retrieving of special variable/flag values.
* Fixed translation file selection (beta versions only).
* Updated dependencies.

= 1.8.5 =
* Release date: 2023-11-10
* Added hashes to names of dynamically loaded JS/CSS files (improved cache busting).
* Fixed query order adjustments (special cases only).
* Fixed search form price range slider rounding issue.
* Disabled automatic detail to list view redirects when Divi Builder is active.
* Updated dependencies.

= 1.8.0 =
* Release date: 2023-09-22
* Added option for default number of properties per page in list views.
* Added option for disabling the "Ken Burns Effect" in property detail views.
* Added 8 new action hooks for inserting contents during output (default skin).
* Added action hook inx_rest_set_query_language.
* Added filter inx_search_form_debounce_delay.
* Reworked excerpt generation.
* Reworked area and price min/max determination after OpenImmo imports.
* Reworked/Extended property search form element rendering and JS (i.a. improved dynamic list/map updates).
* Reworked Photon/OSM based location autocomplete.
* Reworked default skin CSS/JS folder structure and moved CSS of third-party components to plugin core.
* Fixed multilingual property query on dynamic list view updates.
* Fixed a minor price range search form element bug.
* Improved cache busting of lazy-loaded JS files.
* Improved PHP 8.2 and WordPress 6.3/6.4 compatibility.
* Updated external dependencies.

= 1.7.25 =
* Release date: 2023-06-09
* Added various filter hooks for modifying property/list template rendering data.
* Reworked several property search methods.
* Reworked YouTube video embedding.
* Optimized property cluster zoom in overview maps.
* Improved property detail data full-text search.
* Added automatic replacements of rental-specific property detail titles.
* Extended possibilities to use XPath expressions in property detail element shortcodes.
* Extended excerpt handling for property post type.
* Fixed a rounding bug in the search form range slider component.
* Updated external dependencies.

= 1.7.11 =
* Release date: 2022-10-31
* Extended meta data of filter hook inx-property-detail-element.
* Improved compatibility in multilingual environments (WPML/Polylang).
* Fixed minor property search form JS bug.
* Reworked automatic single property template page redirect - again.

= 1.7.8 =
* Release date: 2022-10-06
* Reworked automatic single property template page redirect.
* Fixed property image list creation used by add-ons.
* Fixed saving of UTF-8 option strings.
* Updated plugin option labels to be more precise.

= 1.7.5 =
* Release date: 2022-09-22
* Optimized OpenImmo import related DB queries.
* Fixed a property post ID related bug (special case).
* Extended previous sort order/request fix.
* Improved plugin option validation.
* Simplified file/folder structure.
* Updated dependencies.

= 1.7.1  =
* Release date: 2022-09-05
* Fixed a sort order/request issue.

= 1.7.0 =
* Release date: 2022-08-31
* Added filter hook for property template data retrieval.
* Added filter hook for merging meta/taxonomy queries.
* Added select option for disabling the default property archive/single templates.
* Added basic support for custom/special order(by) elements.
* Added shortcode attribute for template file selection.
* Added an alternative property list template (slider).
* Added search form shortcode attribute for limiting taxonomy based select options to top-level elements.
* Added automatic redirect to default list view when calling up the selected property detail page directly.
* Added option to display the (inner) seller commission in property detail pages (now inactive by default).
* Improved recognition of taxonomy term lists in shortcode attributes.
* Optimized search/filter query generation.
* Optimized overview location map generation and marker handling.
* Reworked distance search location autocomplete elements.
* Optimized/Cached min/max value queries.
* Fixed taxonomy sort bug regarding search form elements.
* Fixed backend property list sorting by reference state.
* Updated external dependencies.

= 1.6.8 =
* Release date: 2022-04-06
* Formatted/Localized number of matches on search form submit button.
* Improved search form price and area slider auto value range determination and value stepping.
* Improved usability of pages containing all Kickstart elements as front page.
* Replaced default skin gallery fade transition (if Ken Burns Effect is disabled) by a more visually appealing slide/fade variant.
* Fixed a minor search form/sort dynamic update issue.
* Fixed price range format in backlink URLs.
* Updated dependencies.

= 1.6.2 =
* Release date: 2022-03-05
* Optimized grid display in real estate list views.
* Improved responsive tab navigation display in property detail views.
* Fixed search form price slider auto value range setting for rental properties.

= 1.6.0 =
* Release date: 2022-02-28
* Added new taxonomy "project" for property grouping.
* Added (optional) search form select element for property projects (groups).
* Added special query variable for selecting/excluding group master properties.
* Added WP auto embed and other filters to property description processing.
* Added custom field based setting of current property post ID.
* Added the ability to use multiple property search forms on the same page.
* Added seach form shortcode attribute for modifying countries supported by location search/autocomplete elements.
* Reworked and extended backend property form.
* Added optional dynamic content updates of frontend components when changing search parameters.
* Replaced 301 redirects to custom property list and detail pages by internal request updates.
* Fixed detail element shortcode issue (attribute "type" not taken into account).

= 1.5.8 =
* Release date: 2021-10-14
* Fixed application of feature selection (extended search form).
* Fixed subtab display problem in Windows-based environments.
* Updated dependencies.

= 1.5.5 =
* Release date: 2021-09-07
* Added automatic min/max value determination for search form area value sliders.
* Added filter hook for overwriting min/max values of search form area value sliders.
* Added special body classes for custom property list and detail pages.
* Reworked plugin options page (e.g. sections as subtabs).
* Updated dependencies.

= 1.5.2 =
* Release date: 2021-09-03
* Adjusted property taxonomy archive page headlines.
* Fixed disregard of explicitly stated search form taxonomy terms.

= 1.5.0 =
* Release date: 2021-09-02
* Added search form shortcode attributes for taxonomy-based options.
* Added search form shortcode attributes for excluding elements.
* Added filter hooks for modifying property search form select options.
* Added filter hook for adding property fulltext search fields
* Added property address to default fulltext search fields
* Added automatic determination of decimal places on primary price formatting.
* Added flags for featured properties and front page offers.
* Added step option for value/range slider elements in search forms.
* Added option and shortcode attribute for setting the "no results" message of property searches.
* Made private pages selectable as list or detail view templates.
* Activated default property template on taxonomy based frontend queries.
* Optimized building of hierarchical taxonomy option lists for search forms.
* Reworked display of checkbox group elements in frontend search forms.
* Reworked default skin gallery template (individual Ken Burns effect state per image)
* Reworked distance search autocompletion JS components.
* Reworked search form min/max price determination.
* Extended backend property form.
* Fixed some minor output related details.
* Fixed a recursion bug (occuring under some rare conditions).
* Fixed min/max price determination of non-integer values.
* Fixed property sort order in list view not applied in special cases.
* Added a missing space between price and time unit in list view.
* Refactored code to meet updated WordPress coding standards.

= 1.4.0 =
* Release date: 2021-04-13
* Added shortcode [inx-property-detail-element] for embedding individual
  property detail values.
* Fixed sort change not being applied without search form on the same page.
* Activated Vue.js based components on custom property detail pages.
* Added optional element for embedding separate location maps
  in property detail pages.
* Added optional element for embedding separate location description/details
  sections (without maps) in property detail pages.
* Added option for applying wpautop to description texts on property
  detail pages.
* Added option for enabling/disabling the contact section for
  reference properties.
* Added list shortcode attribute for disabling property detail links based on
  its status flags.
* Added filter hook for modifying tab-based element structure.
* Improved property gallery thumbmail navigation (separate section for
  video and virtual tour links).
* Fixed price sections falsely visible in reference property details.
* Fixed URL issues on overlapping page permalinks.
* Improved performance and stability (JS components).

= 1.3.0 =
* Release date: 2021-03-08
* Added option for setting an alternate reference price text.
* Added option for enabling/disabling the map bounds auto-fit function.
* Added automatic removal of backlink URL in browser address bar.
* Added subtype "date" for search form text input fields (date picker).
* Added property filter/sort shortcode attributes for creating custom
  sort option selection lists.
* Added option for enabling/disabling user consent for embedded maps.
* Added titles to detail sections in property backend edit form.
* Optimized support for multilingual sites (Polylang/WPML compatibility).
* Lowered minimum zoom level for property overview maps.
* Fixed distance search arguments not being applied in overview maps.
* Fixed URL generation/modification for installations with deactivated
  pretty permalinks.
* Reworked search form shortcode.
* Optimized automatic primary price min/max value determination for
  search forms.

= 1.2.0 =
* Release date: 2020-12-08
* Added property location overview maps incl. clustered markers.
* Slightly reworked default skin.
* Extended country code based queries to distinguish between single
  and multiple codes.
* Changed list image default size from 300 px to 800 px.
* Added latitude and longitude to property backend form.
* Updated Photon base URL (geo location autocompletion).
* Updated JS code (WordPress 5.6 compatibility).

= 1.1.2 =
* Release date: 2020-09-01
* Fixed an issue regarding the currency option usage.
* Updated external libraries.

= 1.1.0 =
* Release date: 2020-08-20
* Reworked the usage of regular pages as property detail templates.
* Added author based property queries.
* Added a special query variable for custom template reference IDs.
* Extended the backend property edit form (images/attachments).
* Extended the add-on API (filter hooks).
* Slightly updated the default skin styles.
* Various compatibility, security and performance optimizations.

= 1.0.3 =
* Release date: 2020-04-02
* Fixed typos etc. in readme.txt.

= 1.0.2 =
* Release date: 2020-04-01
* Changed text domain to formally match the plugin slug.
* Fixed URL and slightly extended readme.txt.

= 1.0.0 =
* Release date: 2020-03-31
* Initial release.